using System.Threading.Tasks;
using MineTec.ProManager.Admin.Controllers;
using Shouldly;
using Xunit;

namespace MineTec.ProManager.Admin.Tests.Controllers
{
    public class HomeController_Tests: ProManagerWebTestBase
    {
        [Fact]
        public async Task Index_Test()
        {
            LoginAsDefaultTenantAdmin();

            //Act
            var response = await GetResponseAsStringAsync(
                GetUrl<HomeController>(nameof(HomeController.Index))
            );

            //Assert
            response.ShouldNotBeNullOrEmpty();
        }
    }
}